Subject: Re: bug#21969: VC opens new window to display minimal messages

From: Dmitry Gutov <[email-masked]>
Date: Sat, 28 Nov 2015 02:50:42 +0200

On 11/28/2015 12:26 AM, Daniel Colascione wrote:

> Believe me, any VCS will be slow once you throw enough files at it. I've
> had to disable Emacs Mercurial integration because I was sick of waiting
> three seconds for hg status -A and hg log -l1 --template '{rev}' to run
> every time I visited a file. I've been working on a _very_ large repository.

Sure, you can make anything slow if you try hard enough. But if 'hg 
status' is that slow, you won't try to use vc-diff at all in that 
repository, will you? Then the sync vs async question is moot.

And there's a difference in that you'd often prefer not to wait for the 
status operation to finish, but the user has to invoke vc-diff 
explicitly. It's not like they're going to switch to another task while 
waiting for the asynchronous result, right?